package com.fjhx.mail.service.enterprise.impl;

import com.fjhx.mail.entity.enterprise.po.EnterpriseMailbox;
import com.fjhx.mail.mapper.enterprise.EnterpriseMailboxMapper;
import com.fjhx.mail.service.enterprise.EnterpriseMailboxService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.enterprise.vo.EnterpriseMailboxVo;
import com.fjhx.mail.entity.enterprise.dto.EnterpriseMailboxSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.mail.entity.enterprise.dto.EnterpriseMailboxDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 企业邮箱 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
@Service
public class EnterpriseMailboxServiceImpl extends ServiceImpl<EnterpriseMailboxMapper, EnterpriseMailbox> implements EnterpriseMailboxService {

    @Override
    public Page<EnterpriseMailboxVo> getPage(EnterpriseMailboxSelectDto dto) {
        IWrapper<EnterpriseMailbox> wrapper = getWrapper();
        wrapper.orderByDesc("em", EnterpriseMailbox::getId);
        Page<EnterpriseMailboxVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public EnterpriseMailboxVo detail(Long id) {
        EnterpriseMailbox EnterpriseMailbox = this.getById(id);
        EnterpriseMailboxVo result = BeanUtil.toBean(EnterpriseMailbox, EnterpriseMailboxVo.class);
        return result;
    }

    @Override
    public void add(EnterpriseMailboxDto enterpriseMailboxDto) {
        this.save(enterpriseMailboxDto);
    }

    @Override
    public void edit(EnterpriseMailboxDto enterpriseMailboxDto) {
        this.updateById(enterpriseMailboxDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
